Summary:	A tool for dumping a computer's DMI table contents.
Name:		dmidecode
Group:		System Environment/Utilities
License:	GPL
Version:	2.7
Release:	2
Source0:	http://savannah.nongnu.org/download/dmidecode/dmidecode.pkg/%{version}/dmidecode-%{version}.tar.gz
Patch0:		dmidecode-2.7-optflags-gd-2.diff
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
Dmidecode is a tool for dumping a computer's DMI (some say SMBIOS)
table contents in a human-readable format. This table contains a
description of the system's hardware components, as well as other
useful pieces of information such as serial numbers and BIOS revision.
Part of its code can be found in the Linux kernel, because DMI data
may be used to enable or disable specific portions of code depending
on the hardware vendor. Thus, dmidecode is mainly used to detect
system "signatures" and add them to the kernel source code when needed.

%files
  %defattr(-,root,root)
  %doc AUTHORS CHANGELOG LICENSE README

  %attr(0555,root,root)	%{_sbindir}/biosdecode
  %attr(0555,root,root)	%{_sbindir}/dmidecode

%prep
%setup -q
%patch0 -p1

%build
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_sbindir}

  install biosdecode $RPM_BUILD_ROOT/%{_sbindir}
  install dmidecode $RPM_BUILD_ROOT/%{_sbindir}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Peter J. O'Hara <pete@guardiandigital.com>
- Version 2.7, Release 2
  - Upgrade to latest version
  - Migrated Makefile patch

* Mon Jul 11 2005 Pete J. O'Hara <pete@guardiandigital.com>
- Version 2.6, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
